tss2_gettpm2object(1)

NAME

tss2_gettpm2object(1)

SYNOPSIS

tss2_gettpm2object [OPTIONS]

SEE ALSO

fapi-config(5) to adjust Fapi parameters like the used cryptographic profile and TCTI or directories for the Fapi metadata storages.

fapi-profile(5) to determine the cryptographic algorithms and parameters for all keys and operations of a specific TPM interaction like the name hash algorithm, the asymmetric signature algorithm, scheme and parameters and PCR bank selection.

DESCRIPTION

tss2_gettpm2object(1) - With this command for FAPI objects context files which can be used by tpm2 tool commands can be created. For persistent object only the textual representation of the handle number as hex number will be written and for keys a tpm2 tool context file will be written. If the default TCTI differs from the FAPI profile the default the tcti can be defined with the -T (–tcti) option. Note To avoid wrong nv_written state in keystore before writing data to the NV ram with tpm2_nvwrite, at least an empty string should be written with tss2_nvwrite.

OPTIONS

These are the available options:

•   -f, --force:

    Force overwriting the output file.

•   -p, --path=STRING:

    Path of the object for which the application data will be loaded.

•   -c, --context=FILENAME or - (for stdout):

    The returned key context or handle.

COMMON OPTIONS

This collection of options are common to all tss2 programs and provide information that many users may expect.

•   -h, --help [man|no-man]: Display the tools manpage. By default, it attempts to invoke the manpager for the tool, however, on failure will output a short tool summary. This is the same behavior if the “man” option argument is specified, however if explicit “man” is requested, the tool will provide errors from man on stderr. If the “no-man” option if specified, or the manpager fails, the short options will be output to stdout.

    To successfully use the manpages feature requires the manpages to be installed or on MANPATH, See man(1) for more details.

•   -v, --version: Display version information for this tool, supported tctis and exit.

EXAMPLES

    tss2_gettpm2object --path=/HS/SRK/myRSACrypt --key-context=mykey.ctx
    tss2_gettpm2object --path=/nv/Owner/mynv -c-

The command can be used in options of tpm2 commands:

    handle=$(tss2_gettpm2object --path=/nv/Owner/mynv -c-)
    tpm2_nvread $handle

RETURNS

0 on success or 1 on failure.

BUGS

Github Issues (https://github.com/tpm2-software/tpm2-tools/issues)

HELP

See the Mailing List (https://lists.linuxfoundation.org/mailman/listinfo/tpm2)